Page MenuHomePhabricator

make disabledUsageAspects coarse graining
Closed, ResolvedPublic

Description

Once T172914 we need to make is compatible with disabledUsageAspects.
I suggest to make disabledUsageAspects coarse graining e.g when adding a claim, and C is in disabledUsageAspects, we will fallback to O. (instead of just removing C). So instead of disable it will be rather replacement.

This could be implemented in SqlUsageTracker.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

eranroz created this task.Oct 13 2017, 10:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2017, 10:20 AM
hoo claimed this task.Oct 16 2017, 8:50 PM
hoo moved this task from Proposed to Doing on the Wikidata-Former-Sprint-Board board.

Change 384671 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Allow specifying a replacement usage type in disabledUsageAspects

https://gerrit.wikimedia.org/r/384671

Change 384671 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Allow specifying a replacement usage type in disabledUsageAspects

https://gerrit.wikimedia.org/r/384671

hoo closed this task as Resolved.Oct 18 2017, 6:55 AM
hoo removed a project: Patch-For-Review.
hoo moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.

Change 386406 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikidata@wmf/1.31.0-wmf.4] Allow specifying a replacement usage type in disabledUsageAspects

https://gerrit.wikimedia.org/r/386406

Change 386406 merged by jenkins-bot:
[mediawiki/extensions/Wikidata@wmf/1.31.0-wmf.4] Allow specifying a replacement usage type in disabledUsageAspects

https://gerrit.wikimedia.org/r/386406

Mentioned in SAL (#wikimedia-operations) [2017-10-25T18:33:09Z] <niharika29@tin> Synchronized php-1.31.0-wmf.4/extensions/Wikidata: Allow specifying a replacement usage type in disabledUsageAspects T178153 (duration: 02m 10s)